--- x11.c.ori	2008-10-28 00:04:48.000000000 +0100
+++ x11.c	2008-11-03 17:15:30.000000000 +0100
@@ -66,6 +66,12 @@
     "Screen to use in fullscreen mode. For instance " \
     "set it to 0 for first screen, 1 for the second.")
 
+#define X11_EVENT_TEXT N_("key and mouse event handling at plugin level.")
+#define X11_EVENT_LONGTEXT N_( \
+    "This parameter accepts values \"none\" (no handling at all) " \
+    "\"fullscreen-only\" or \"fullsupport\"."  \
+    "\"fullsupport\" is the defaut value.") 
+
 vlc_module_begin();
     set_shortname( "X11" );
     set_category( CAT_VIDEO );
@@ -78,6 +84,7 @@
 #ifdef HAVE_XINERAMA
     add_integer ( "x11-xineramascreen", -1, NULL, SCREEN_TEXT, SCREEN_LONGTEXT, true );
 #endif
+    add_string( "vout-x11-event", "fullsupport", NULL, X11_EVENT_TEXT, X11_EVENT_LONGTEXT, true );
     set_description( N_("X11 video output") );
     set_capability( "video output", 70 );
     set_callbacks( Activate, Deactivate );
